CopperEgg RevealCloud Agent
===========
Chef cookbook for the [RevealCloud](http://www.copperegg.com/product/revealcloud/) collector agent.
Requires a CopperEgg account to use.  [Free trial available](https://app.copperegg.com/signup).

Requirements
============
bash

Platform
========
Any Linux 2.6+ OS, including: Ubuntu, Debian, Vyatta, RedHat Enterprise, CentOS, Fedora, Amazon, SuSE, openSuSE, Gentoo, and many derivatives.
FreeBSD 7.x+

Attributes
==========
`default[:copperegg][:apikey]` = Your API Key available from the [RevealCloud App Settings Page](https://app.copperegg.com/#settings/site)

Usage
=====
* Add this cookbook to your chef server:
** download into your chef-repo
** `knife cookbook upload -a -o ./`
* Include `recipe[revealcloud]` in the run_list for all of your servers.
** `knife node run_list add NODES 'recipe[revealcloud]'`
* Set your apikey as described in the `Attributes` section.
** edit `revealcloud/attributes/default.rb` and change YOUR_APIKEY to be correct.

Links
=====
* [CopperEgg Homepage](http://www.copperegg.com)
* [RevealCloud Signup](https://app.copperegg.com/signup)
* [RevealCloud Login](https://app.copperegg.com/login)

License and Author
==================
Author:: Ross Dickey

Copyright 2012, CopperEgg, Inc.

No License.  Redistribution encouraged.

